#processes the current_value, wanted_value and the range and outputs if its cold, warm or pleasant
class Thermostat
    attr_accessor :range, :airco, :heating
  def initialize(current_value = 0, wanted_value = 0, range = 0)
    @current_value = current_value
    @wanted_value = wanted_value
    @range = range
  end 
#low temperature results into cold which results back into an active airconditioning and an inactive heater 
  def cold
    @airco = true
    @heating = false
  end
#warm temperature results into warm which results back into an inactive airconditioning and an active heater
  def warm
    @airco = false
    @heating = true
  end
#pleasant temperature results into pleasant which results back into an inactive airconditioning and an inactive heater
  def pleasant
    @airco = false
    @heating = false
  end
#checks whether the temperature is warm, cold or pleasant with the given current value, wanted value and range
  def check
    if @current_value < @wanted_value - @range
      warm
    elsif @current_value > @wanted_value + @range
      cold
    else
      pleasant
    end
  end
end
